#ifndef CANIMATIONOBJECT_H
#define CANIMATIONOBJECT_H

#include <SDL.h>
#include "CGameObject.h"
#include "CSinCosTable.h"
#include "Functions.h"

class CAnimationObject : CGameObject
{
    private:
        int PNumTiles,PTileWidth,PTileHeight,PAnimDelay;
        int PAnimDelayCounter,PFrame;
        bool PAutoKill;
    public:
        CAnimationObject(SDL_Surface *RealImgIn, int Xin, int Yin, int Angle, float Speed, int TileWidth , int TileHeight, int AnimDelay, bool AutoKill,int ZOrder, CSinCosTable *SinCosTableIn) : CGameObject(RealImgIn, Xin, Yin,Angle, 0, Speed, ZOrder,SinCosTableIn)
        {
            PAnimDelay = AnimDelay;
            PNumTiles = RealImgIn->w / TileWidth;
            PFrame = 0;
            PAnimDelayCounter = 0;
            PTileHeight = TileHeight;
            PTileWidth = TileWidth;
            PType = 2;
            PAutoKill = AutoKill;
        }

        void Move();
        void Draw(SDL_Surface *Dest);

};

#endif
